axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lahiru Sandakith" <sandak...@gmail.com>
Subject [Axis2] Versioning Eclipse Axis2 Plugins
Date Fri, 03 Aug 2007 10:59:10 GMT
I missed the [Axis2]

---------- Forwarded message ----------
From: Lahiru Sandakith <sandakith@gmail.com>
Date: Aug 3, 2007 11:16 AM
Subject: Versioning Eclipse Axis2 Plugins
To: axis-dev@ws.apache.org

Hi,
Current Axis2 version is 1.3-SNAPSHOT with the new maven2 builds we cant use
axis2 version as same as the version of the plugins.
This is because plugins version requires to be ahhare to (
major.minor.micro.qualifier ) and to be without invalid charactor (here '-')
to recognize it at the startup time of the eclipse, if not it gives the
error "The specified version does not have the correct format (
major.minor.micro.qualifier ) or contains invalid characters "

So I am proposing to keep the versions of the Plugins in the each plugins
pom or add it as a label in the parent pom.
Can we have a better solution than this. we need this to plugin nightly
builds to work.

-- 
Thanks
Lahiru Sandakith

http://sandakith.wordpress.com/
GPG Key Fingerprint : 8CD8 68E0 4CBC 75CB 25BC  1AB1 FE5E 7464 1F01 9A0F

-- 
Thanks
Lahiru Sandakith

http://sandakith.wordpress.com/
GPG Key Fingerprint : 8CD8 68E0 4CBC 75CB 25BC  1AB1 FE5E 7464 1F01 9A0F

Mime
View raw message